## 务调度系统数据表

# 任务配置

DROP TABLE IF EXISTS `dpt_task_cfg`;

CREATE TABLE dpt_task_cfg (
    id varchar(40) NOT NULL PRIMARY KEY,
    group_code varchar(20) NULL COMMENT '集团编码',
    app_code varchar(40) NULL COMMENT '应用编码',
    project_id varchar(40) NULL COMMENT '项目ID',
    code varchar(20) NOT NULL COMMENT '任务编码',
    name varchar(40) NOT NULL COMMENT '任务名称',
    type varchar(20) NOT NULL COMMENT '执行方式:http、jms',
    config json NOT NULL COMMENT '执行方式配置参数',
    params json NOT NULL COMMENT '调起参数',
    time_rule json NOT NULL COMMENT '调起频率',
    start_time timestamp NULL COMMENT '开始时间',
    end_time timestamp NULL COMMENT '结束时间',
    response_time int NOT NULL COMMENT '任务接口的处理时长，用于任务启停消峰控制',
    level varchar(20) NOT NULL COMMENT '优先级，用于任务启停消峰控制',
    status int NOT NULL COMMENT '状态',
    remark varchar(200) COMMENT '备注'
) COMMENT '任务配置';

# 任务执行记录

DROP TABLE IF EXISTS `dpt_task_record`;

CREATE TABLE dpt_task_record (
    id varchar(40) NOT NULL PRIMARY KEY,
    task_id varchar(40) NOT NULL COMMENT '任务配置ID',
    start_time timestamp NULL COMMENT '开始时间',
    end_time timestamp NULL COMMENT '结束时间',
    success int NOT NULL COMMENT '1是，0否，否表示发生了异常',
    error_info json NOT NULL COMMENT '错误信息'
) COMMENT '任务执行记录';